Bug 1033096 - tokenGroups do not work reliable with Global Catalog
Summary: tokenGroups do not work reliable with Global Catalog
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-21 14:39 UTC by Dmitri Pal
Modified: 2020-05-02 17:34 UTC (History)
5 users (show)

Fixed In Version: sssd-1.11.2-18.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 12:48:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 3203 None closed tokenGroups do not work reliable with Global Catalog 2020-11-29 08:30:47 UTC
Github SSSD sssd issues 3220 None closed AD groups with domain-local scope should be filtered out for trusted domains 2020-11-29 08:30:45 UTC

Description Dmitri Pal 2013-11-21 14:39:27 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/2161

The tokenGroups attribute only returns the correct group-memberships then the Global Catalog and the user are coming from the same domain. Lookups for users from other domains in the forest may return incomplete or wrong results.

Comment 1 Jakub Hrozek 2013-12-13 10:04:13 UTC
Fixed upstream:
* master: 87a6f8fca5fb818d11b7702abb47faf2f3f00b79
* sssd-1-11: cab9dae09da698f926839380a678c7f02485ae66

Comment 3 Jakub Hrozek 2013-12-19 08:47:30 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/2178

Comment 4 Jakub Hrozek 2013-12-20 09:05:26 UTC
More fixes from upstream landed in sssd-1.11.2-18.el7

Comment 5 Kaushik Banerjee 2014-01-08 19:12:05 UTC
Verified in version 1.11.2-18.el7

Output from beaker run:
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ad_forest_01: bz 1033096 Lookup users and groups
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

uid=770843877(user1_dom1@sssdad.com) gid=770800513(domain users@sssdad.com) groups=770800513(domain users@sssdad.com),770843878(group1_dom1@sssdad.com)
:: [   PASS   ] :: Running 'id user1_dom1@sssdad.com | grep group1_dom1' (Expected 0, got 0)
uid=295201317(user1_dom2@sssdad_tree.com) gid=295201317(user1_dom2@sssdad_tree.com) groups=295201317(user1_dom2@sssdad_tree.com),295201319(group2_dom2@sssdad_tree.com),295201318(group1_dom2@sssdad_tree.com),295200513(domain users@sssdad_tree.com)
:: [   PASS   ] :: Running 'id user1_dom2@sssdad_tree.com | grep group1_dom2' (Expected 0, got 0)
uid=1290801310(user1_dom3@child1.sssdad.com) gid=1290801310(user1_dom3@child1.sssdad.com) groups=1290801310(user1_dom3@child1.sssdad.com),1290801313(group1_dom3@child1.sssdad.com),1290800513(domain users@child1.sssdad.com)
:: [   PASS   ] :: Running 'id user1_dom3@child1.sssdad.com | grep group1_dom3' (Expected 0, got 0)
user1_dom1@sssdad.com:*:770843877:770800513:user1_dom1:/:
:: [   PASS   ] :: Running 'getent passwd user1_dom1@sssdad.com' (Expected 0, got 0)
user1_dom2@sssdad_tree.com:*:295201317:295201317:user1_dom2:/:
:: [   PASS   ] :: Running 'getent passwd user1_dom2@sssdad_tree.com' (Expected 0, got 0)
user1_dom3@child1.sssdad.com:*:1290801310:1290801310:user1_dom3:/:
:: [   PASS   ] :: Running 'getent passwd user1_dom3@child1.sssdad.com' (Expected 0, got 0)
user1_dom1@sssdad.com:*:770843877:770800513:user1_dom1:/:
:: [   PASS   ] :: Running 'getent passwd $AD_SERVER1_SHORT_REALM\\user1_dom1' (Expected 0, got 0)
user1_dom2@sssdad_tree.com:*:295201317:295201317:user1_dom2:/:
:: [   PASS   ] :: Running 'getent passwd $AD_SERVER2_SHORT_REALM\\user1_dom2' (Expected 0, got 0)
user1_dom3@child1.sssdad.com:*:1290801310:1290801310:user1_dom3:/:
:: [   PASS   ] :: Running 'getent passwd $AD_SERVER3_SHORT_REALM\\user1_dom3' (Expected 0, got 0)
group1_dom1@sssdad.com:*:770843878:user1_dom1@sssdad.com
:: [   PASS   ] :: Running 'getent group group1_dom1@sssdad.com | grep user1_dom1' (Expected 0, got 0)
group1_dom2@sssdad_tree.com:*:295201318:user1_dom2@sssdad_tree.com
:: [   PASS   ] :: Running 'getent group group1_dom2@sssdad_tree.com | grep user1_dom2' (Expected 0, got 0)
group1_dom3@child1.sssdad.com:*:1290801313:user1_dom3@child1.sssdad.com
:: [   PASS   ] :: Running 'getent group group1_dom3@child1.sssdad.com | grep user1_dom3' (Expected 0, got 0)
'79247d66-b0cc-4189-9b2d-200aaca22143'
ad-forest-01 result: PASS

Comment 6 Ludek Smid 2014-06-13 12:48:23 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.